<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <!--<app-header v-on:하위 컴포넌트에서 발생한 이벤트 이름="상위 컴포넌트의 메소드 이름 "></app-header>-->
        <app-header @pass="logText"></app-header>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script>
        var appHeader = {
            template: '<div><input v-model="title" type="text"/> <button v-on:click="passEvent">click me</button></div>',
            methods: {
                passEvent: function(){
                    this.$emit('pass',{title:this.title});
                }
            },
            data: function() {
                return {
                    title : ''
                }
            }
        }
        new Vue({
            el: '#app',
            components: {
                'app-header' : appHeader
            },
            methods: {
                logText: function(payload){
                    console.log(payload);
                    
                    console.log('hi');
                }
            }
        })
    </script>
</body>
</html>